## rx-34-kernel 2.6.18-200710osso2

=== Makefile ===

OSSORELEASE = $(shell cat ../osso-release)

DEBIAN_DIR := debian

KSRC = ../linux-g

KSRCVER = $(shell dpkg-parsechangelog -l$(KSRC)/$(DEBIAN_DIR)/changelog  | awk '/^Version/{print $$2}')
KMAJORVER = $(word 1, $(subst -, ,$(KSRCVER)))
WEEK = $(word 1, $(OSSORELEASE))
BUILD = $(word 2, $(OSSORELEASE))

USER = $(shell whoami)

all: deb

deb: control-stamp changelog-stamp
	dpkg-buildpackage -i'.git/' -I'.git' -rfakeroot -S 

modules:
	fakeroot debian/rules modules-deb

control-stamp: control
	touch control-stamp

control:
	sed -i 's/^Build-Depends-Indep: kernel-source-rx-34 (=[^)]*)/Build-Depends-Indep: kernel-source-rx-34 (=$(KSRCVER))/' $(DEBIAN_DIR)/control

changelog-stamp: changelog
	touch changelog-stamp

changelog:
	dch -v $(KMAJORVER)-$(WEEK)osso$(BUILD) "Updated kernel version ($(KSRCVER))"

version:
	dch -i "Custom $(USER) kernel modules version" 

clean:
	rm -f control-stamp changelog-stamp

## rx-34-kernel 2.6.18-200651osso2

=== debian/changelog ===
rx-34-kernel (2.6.18-200651osso2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso29)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 19 Dec 2006 18:11:06 +0200

rx-34-kernel (2.6.18-200651osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso28)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 19 Dec 2006 11:46:18 +0200

rx-34-kernel (2.6.18-200650osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso27)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 11 Dec 2006 18:09:09 +0200

rx-34-kernel (2.6.18-200649osso1.1) unstable; urgency=low

  * Refreshed sources to correct git version

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  5 Dec 2006 15:20:31 +0200

rx-34-kernel (2.6.18-200649osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso26)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  5 Dec 2006 15:20:08 +0200

rx-34-kernel (2.6.18-200648osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso25)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 29 Nov 2006 17:31:11 +0200

rx-34-kernel (2.6.18-200647osso5) unstable; urgency=low

  * Updated kernel version (2.6.18-osso24)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 24 Nov 2006 19:56:38 +0200

rx-34-kernel (2.6.18-200647osso4) unstable; urgency=low

  * Updated kernel version (2.6.18-osso23)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 24 Nov 2006 11:39:34 +0200

rx-34-kernel (2.6.18-200647osso3) unstable; urgency=low

  * Updated kernel version (2.6.18-osso22)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 24 Nov 2006 10:19:47 +0200

rx-34-kernel (2.6.18-200647osso2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso21)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 23 Nov 2006 14:46:47 +0200

rx-34-kernel (2.6.18-200647osso1.1) unstable; urgency=low

  * Do not pack kbuild, fix lintian

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 23 Nov 2006 14:04:25 +0200

rx-34-kernel (2.6.18-200647osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso20)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 23 Nov 2006 12:53:51 +0200

rx-34-kernel (2.6.18-200646osso2) unstable; urgency=low

  * Made a separate rule for headers in debian/rules
  * Produce full headers with kbuild, ready to bulid modules

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 21 Nov 2006 20:50:54 +0200

rx-34-kernel (2.6.18-200646osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso19)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 16 Nov 2006 11:25:09 +0200

rx-34-kernel (2.6.18-200645osso2.3) unstable; urgency=low

  * Revert oprofile generation 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  9 Nov 2006 16:28:32 +0200

rx-34-kernel (2.6.18-200645osso2.2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso18) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  9 Nov 2006 15:55:16 +0200

rx-34-kernel (2.6.18-200645osso2.1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso17)
  * Changed defconfig name

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  9 Nov 2006 15:41:33 +0200

rx-34-kernel (2.6.18-200645osso2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso16)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  9 Nov 2006 12:23:49 +0200

rx-34-kernel (2.6.18-200645osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso14)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  8 Nov 2006 18:51:20 +0200

rx-34-kernel (2.6.18-200644osso1) unstable; urgency=low

  * updated kernel version (2.6.18-osso13)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  1 Nov 2006 18:55:20 +0200

rx-34-kernel (2.6.18-200643osso1) unstable; urgency=low

  * updated kernel version (2.6.18-osso12)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 25 Oct 2006 16:08:12 +0300

rx-34-kernel (2.6.18-200642osso3) unstable; urgency=low

  * updated kernel version (2.6.18-osso11) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 17 Oct 2006 17:30:55 +0300

rx-34-kernel (2.6.18-200641osso2.4) unstable; urgency=low

  * use emdebian 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 13 Oct 2006 22:31:04 +0300

rx-34-kernel (2.6.18-200641osso2.3) unstable; urgency=low

  * updated kernel version (2.6.18-osso10) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 13 Oct 2006 22:01:32 +0300

rx-34-kernel (2.6.18-200641osso2.2) unstable; urgency=low

  * updated kernel version (2.6.18-osso9) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 13 Oct 2006 21:49:26 +0300

rx-34-kernel (2.6.18-200641osso2.1) unstable; urgency=low

  * updated kernel version (2.6.18-osso8)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 13 Oct 2006 21:40:16 +0300

rx-34-kernel (2.6.18-200641osso2) unstable; urgency=low

  * updated kernel version (2.6.18-osso7)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 13 Oct 2006 14:24:49 +0300

rx-34-kernel (2.6.18-200641osso1.3) unstable; urgency=low

  * fix lintian warning 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 11 Oct 2006 19:52:18 +0300

rx-34-kernel (2.6.18-200641osso1.2) unstable; urgency=low

  * updated kernel version (2.6.18-osso6) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 11 Oct 2006 19:06:54 +0300

rx-34-kernel (2.6.18-200641osso1.1) unstable; urgency=low

  * some fbwords cleanups

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 11 Oct 2006 18:25:39 +0300

rx-34-kernel (2.6.18-200641osso1) unstable; urgency=low

  * kernel source updated (2.6.18-osso4)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 11 Oct 2006 17:20:24 +0300

rx-34-kernel (2.6.18-200640osso1) unstable; urgency=low

  * kernel source updated (2.6.18-osso3) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  4 Oct 2006 17:03:39 +0300

rx-34-kernel (2.6.18-200639osso3) unstable; urgency=low

  * kernel source updated (2.6.18-osso2)  


=== debian/control ===
Source: rx-34-kernel
Section: utils
Priority: optional
Maintainer:  Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Build-Depends-Indep: kernel-source-rx-34 (=2.6.18-osso29)
XBCS-Scratchbox-Architecture: uarm
Standards-Version: 3.5.9.0

Package: rx-34-kernel
Architecture: all
Description: Flashable Linux kernel for RX-34 hardware
 This package provides a flashable kernel image for RX-34 HW.

Package: rx-34-kernel-headers
Architecture: all
Description: Linux kernel headers
 This package provides kernel headers for RX-34.

Package: rx-34-kernel-modules
Architecture: all
Description: Linux kernel modules
 This package provides kernel modules for RX-34.

Package: rx-34-kernel-oprofile
Architecture: all
Description: Flashable Linux kernel for RX-34 hardware with oprofile
 This package provides a flashable kernel image for RX-34 HW.
 It has oprofile support built in.

Package: rx-34-kernel-debug
Architecture: any
Description: Linux kernel debug symblos
 This packages provides vmlinux files for the RX-34 kernels.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

SOURCE_VERSION := $(shell sed -n 's/^Build-Depends-Indep: .*kernel-source-\([^ ]*\).*$$/\1/; t e; b; :e; p; q' debian/control)
WEEK := $(shell date +%Y%W)

KERNELRELEASE = $(shell cat $(CURDIR)/kernel-source-$(SOURCE_VERSION)/include/config/kernel.release 2> /dev/null)

PRODUCT := rx-34
DEBIAN_DIR := debian
PACKAGE := $(PRODUCT)-kernel
DEFCONFIG := n800_defconfig

ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

INCLUDE_HEADERS =  asm asm-generic asm-$(ARCH) Kbuild linux mtd rdma sound acpi config math-emu net rxrpc video keys media pcmcia scsi

build: kernel-oprofile kernel headers kernel modules

kernel: configure-stamp
	echo "compile $(PRODUCT) kernel"
	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION)/ && \
	make HOSTCC=host-gcc bzImage

kernel-oprofile: configure-oprofile-stamp
	echo "compile $(PRODUCT) oprofile kernel"
	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION)-oprofile/ && \
	make HOSTCC=host-gcc

modules: configure-stamp
	echo "compile $(PRODUCT) kernel modules"
	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION)/ && \
	make HOSTCC=host-gcc modules

headers: configure-stamp
	echo "prepare $(PRODUCT) kernel headers"
	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION)/ && \
	make HOSTCC=host-gcc modules_prepare

configure-stamp: sources-stamp
	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION)/ && \
	make HOSTCC=host-gcc $(DEFCONFIG)
	touch $@

configure-oprofile-stamp: sources-oprofile-stamp
	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION)-oprofile/ && \
	make HOSTCC=host-gcc $(DEFCONFIG) && \
	patch -p1 < $(CURDIR)/$(DEBIAN_DIR)/oprofile_config.patch && \
	make HOSTCC=host-gcc oldconfig
	touch $@

sources-stamp:
	test -d $(CURDIR)/kernel-source-$(SOURCE_VERSION) || tar jxf /usr/src/kernel-source-$(SOURCE_VERSION).tar.bz2
	touch $@

sources-oprofile-stamp: sources-stamp
	cp -a $(CURDIR)/kernel-source-$(SOURCE_VERSION)/ $(CURDIR)/kernel-source-$(SOURCE_VERSION)-oprofile/
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp sources-stamp
	rm -f configure-oprofile-stamp sources-oprofile-stamp
	rm -rf kernel-source-$(SOURCE_VERSION)
	rm -rf kernel-source-$(SOURCE_VERSION)-oprofile
	dh_clean

install: build install-kernel install-modules install-headers install-kernel-oprofile

install-kernel:
	dh_testdir
	dh_testroot
	dh_installdirs

	install $(CURDIR)/kernel-source-$(SOURCE_VERSION)/arch/arm/boot/zImage \
                $(CURDIR)/$(DEBIAN_DIR)/$(PACKAGE)/usr/share/osso/kernels/zImage-$(PRODUCT)-$(WEEK) && \
	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION); \
	chmod a-x $(CURDIR)/$(DEBIAN_DIR)/$(PACKAGE)/usr/share/osso/kernels/zImage-$(PRODUCT)-$(WEEK)

install-kernel-oprofile:
	dh_testdir
	dh_testroot
	dh_installdirs

	mkdir -p $(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-oprofile/usr/share/osso/kernels/
	mkdir -p $(CURDIR)/$(DEBIAN_DIR)/$(PACKAGE)-debug/usr/lib/debug/
	install $(CURDIR)/kernel-source-$(SOURCE_VERSION)-oprofile/arch/arm/boot/zImage \
		$(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-oprofile/usr/share/osso/kernels/zImage-oprofile-$(PRODUCT)-$(WEEK)
	chmod a-x $(CURDIR)/$(DEBIAN_DIR)/$(PACKAGE)-oprofile/usr/share/osso/kernels/zImage-oprofile-$(PRODUCT)-$(WEEK)
	install $(CURDIR)/kernel-source-$(SOURCE_VERSION)-oprofile/vmlinux \
		$(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-debug/usr/lib/debug/vmlinux-oprofile-$(PRODUCT)-$(WEEK)
	install $(CURDIR)/kernel-source-$(SOURCE_VERSION)/vmlinux \
		$(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-debug/usr/lib/debug/vmlinux-$(PRODUCT)-$(WEEK)
	chmod a-x $(CURDIR)/$(DEBIAN_DIR)/$(PACKAGE)-debug/usr/lib/debug/vmlinux-*

install-modules:
	dh_testdir
	dh_testroot

	mkdir -p $(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-modules/lib/modules/$(KERNELRELEASE)
	for f in $$(find $(CURDIR)/kernel-source-$(SOURCE_VERSION) -name "*.ko"); do \
		install -c -m 644 $$f $(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-modules/lib/modules/$(KERNELRELEASE)/$$(basename $$f); \
	done
	ln -sf $(KERNELRELEASE) $(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-modules/lib/modules/current

install-headers:
	dh_testdir
	dh_testroot
	dh_installdirs

	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION); \
	install -p -o root -g root -m 644 .config  $(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-headers/usr/src/$(PRODUCT)-kernel-headers/ && \
	install -p -o root -g root -m 644 Makefile $(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-headers/usr/src/$(PRODUCT)-kernel-headers/ && \
	find arch/$(ARCH) $(foreach dir,$(INCLUDE_HEADERS),include/$(dir)) -name '*.h' \
		-exec install -D -m644 {} $(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-headers/usr/src/$(PRODUCT)-kernel-headers/{} \;
	ln -sf asm-$(ARCH) $(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-headers/usr/src/$(PRODUCT)-kernel-headers/include/asm
	cp -a $(CURDIR)/kernel-source-$(SOURCE_VERSION)/include/asm-$(ARCH)/arch \
		$(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-headers/usr/src/$(PRODUCT)-kernel-headers/include/asm-$(ARCH)
	#cp -a $(CURDIR)/kernel-source-$(SOURCE_VERSION)/scripts $(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-headers/usr/src/$(PRODUCT)-kernel-headers

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_compress
	dh_fixperms --exclude /usr/src/$(PRODUCT)-kernel-headers
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

modules-deb: modules install-modules
	dh_testdir
	dh_testroot
	dh_fixperms -p$(PRODUCT)-kernel-modules --exclude /usr/src/$(PRODUCT)-kernel-headers
	dh_installdeb -p$(PRODUCT)-kernel-modules
	dh_gencontrol -p$(PRODUCT)-kernel-modules
	dh_md5sums -p$(PRODUCT)-kernel-modules
	dh_builddeb -p$(PRODUCT)-kernel-modules


.PHONY: build clean binary-indep binary-arch binary install headers kernel modules
.PHONY: kernel-oprofile install-kernel-oprofile

## rx-34-kernel 2.6.18-200710osso2

=== debian/changelog ===
rx-34-kernel (2.6.18-200710osso2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso40)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  7 Mar 2007 15:00:04 +0200

rx-34-kernel (2.6.18-200710osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso39)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  7 Mar 2007 12:12:26 +0200

rx-34-kernel (2.6.18-200709osso1.2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso38.2)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  2 Mar 2007 15:52:31 +0200

rx-34-kernel (2.6.18-200709osso1.1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso38.1)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  2 Mar 2007 14:42:52 +0200

rx-34-kernel (2.6.18-200709osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso38)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 27 Feb 2007 16:35:37 +0200

rx-34-kernel (2.6.18-200707osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso37)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 13 Feb 2007 15:37:26 +0200

rx-34-kernel (2.6.18-200705osso2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso36)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  2 Feb 2007 16:23:35 +0200

rx-34-kernel (2.6.18-200705osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso35)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 31 Jan 2007 14:40:49 +0200

rx-34-kernel (2.6.18-200702osso1.1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso34)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  9 Jan 2007 16:29:03 +0200

rx-34-kernel (2.6.18-200702osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso33)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  9 Jan 2007 16:21:53 +0200

rx-34-kernel (2.6.18-200701osso1.1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso32)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  3 Jan 2007 17:05:01 +0200

rx-34-kernel (2.6.18-200701osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso31)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  3 Jan 2007 16:16:50 +0200

rx-34-kernel (2.6.18-200651osso3) unstable; urgency=low

  * Updated kernel version (2.6.18-osso30)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 21 Dec 2006 13:51:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer:  Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
 Build-Depends: debhelper (>= 4.0.0)
-Build-Depends-Indep: kernel-source-rx-34 (=2.6.18-osso29)
+Build-Depends-Indep: kernel-source-rx-34 (=2.6.18-osso40)
 XBCS-Scratchbox-Architecture: uarm
 Standards-Version: 3.5.9.0

## rx-34-kernel 2.6.18-200724osso1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 DEBIAN_DIR := debian
 
-KSRC = ../linux-g
+KSRC = ../linux-g-1.0
 
 KSRCVER = $(shell dpkg-parsechangelog -l$(KSRC)/$(DEBIAN_DIR)/changelog  | awk '/^Version/{print $$2}')
 KMAJORVER = $(word 1, $(subst -, ,$(KSRCVER)))

=== debian/changelog ===
rx-34-kernel (2.6.18-200724osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso52)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 13 Jun 2007 11:11:57 +0300

rx-34-kernel (2.6.18-200723osso1.1) unstable; urgency=low

  * Fixed oprofile stuff. Fixes: NB#55703

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  5 Jun 2007 15:38:43 +0300

rx-34-kernel (2.6.18-200723osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso51)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon,  4 Jun 2007 19:46:17 +0300

rx-34-kernel (2.6.18-200722osso3) unstable; urgency=low

  * Updated kernel version (2.6.18-osso50)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  1 Jun 2007 17:49:11 +0300

rx-34-kernel (2.6.18-200722osso2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso49)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  1 Jun 2007 16:36:14 +0300

rx-34-kernel (2.6.18-200722osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso48)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 28 May 2007 17:53:14 +0300

rx-34-kernel (2.6.18-200721osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso47)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 21 May 2007 16:36:54 +0300

rx-34-kernel (2.6.18-200720osso2.1) unstable; urgency=low

  * Use kernel version (2.6.18-osso45)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 16 May 2007 14:54:30 +0300

rx-34-kernel (2.6.18-200720osso2) unstable; urgency=low

  * Updated kernel version (2.6.18-osso46)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 15 May 2007 16:32:05 +0300

rx-34-kernel (2.6.18-200717osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso43)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 27 Apr 2007 17:12:09 +0300

rx-34-kernel (2.6.18-200713osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso42)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 27 Mar 2007 15:17:26 +0300

rx-34-kernel (2.6.18-200712osso1) unstable; urgency=low

  * Updated kernel version (2.6.18-osso41)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 20 Mar 2007 17:54:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer:  Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
 Build-Depends: debhelper (>= 4.0.0)
-Build-Depends-Indep: kernel-source-rx-34 (=2.6.18-osso40)
+Build-Depends-Indep: kernel-source-rx-34 (=2.6.18-osso52)
 XBCS-Scratchbox-Architecture: uarm
 Standards-Version: 3.5.9.0

## rx-34-kernel 2.6.21.0-200743osso1

=== debian/changelog ===
rx-34-kernel (2.6.21.0-200743osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso63)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 23 Oct 2007 18:00:56 +0300

rx-34-kernel (2.6.21.0-200742osso4) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso59)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 19 Oct 2007 16:18:59 +0300

rx-34-kernel (2.6.21.0-200742osso3) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso58)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 17 Oct 2007 17:22:01 +0300

rx-34-kernel (2.6.21.0-200742osso2) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso57)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 16 Oct 2007 15:25:24 +0300

rx-34-kernel (2.6.21.0-200742osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso56)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 15 Oct 2007 11:26:12 +0300

rx-34-kernel (2.6.21.0-200741osso2.2) unstable; urgency=low

  * Fixes: NB#72710 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 10 Oct 2007 18:52:53 +0300

rx-34-kernel (2.6.21.0-200741osso2.1) unstable; urgency=low

  * rx-34-kernel-modules-extra added. nfs

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 09 Oct 2007 20:23:08 +0300

rx-34-kernel (2.6.21.0-200741osso2) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso55)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  9 Oct 2007 19:05:28 +0300

rx-34-kernel (2.6.21.0-200741osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso53)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon,  8 Oct 2007 17:31:15 +0300

rx-34-kernel (2.6.21.0-200740osso2.1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso52)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  4 Oct 2007 20:22:17 +0300

rx-34-kernel (2.6.21.0-200740osso2) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso51)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  4 Oct 2007 18:33:59 +0300

rx-34-kernel (2.6.21.0-200740osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso49)
    Fixes: NB#71687, NB#71420, NB#55457, NB#61963, NB#71480, NB#71117

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  2 Oct 2007 18:55:42 +0300

rx-34-kernel (2.6.21.0-200739osso4) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso48)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 27 Sep 2007 16:46:21 +0300

rx-34-kernel (2.6.21.0-200739osso3) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso47)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 27 Sep 2007 15:49:03 +0300

rx-34-kernel (2.6.21.0-200739osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso45)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 25 Sep 2007 19:17:25 +0300

rx-34-kernel (2.6.21-200738osso1+nd1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso44+nd1)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 18 Sep 2007 17:50:23 +0300

rx-34-kernel (2.6.21-200738osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso44)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 18 Sep 2007 16:55:40 +0300

rx-34-kernel (2.6.21-200737osso1+nondvfs1) unstable; urgency=low

  * Nondvfs release

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 12 Sep 2007 19:35:01 +0300

rx-34-kernel (2.6.21-200737osso1) unstable; urgency=low

  * Use "all" architecture for rx-34-kernel-debug. Fixes: NB#65043
  * Updated kernel version (2.6.21.0-osso43)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 11 Sep 2007 17:42:27 +0300

rx-34-kernel (2.6.21-200736osso2) unstable; urgency=low

  * Updated kernel version (2.6.21-osso42)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 05 Sep 2007 17:27:47 +0300

rx-34-kernel (2.6.21-200736osso1) unstable; urgency=low

  * Updated kernel version (2.6.21-osso41)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 04 Sep 2007 19:51:34 +0300

rx-34-kernel (2.6.21-200735osso3) unstable; urgency=low

  * Updated kernel version (2.6.21-osso40)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 30 Aug 2007 17:44:27 +0300

rx-34-kernel (2.6.21-200735osso2) unstable; urgency=low

  * Updated kernel version (2.6.21-osso39)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 28 Aug 2007 17:10:26 +0300

rx-34-kernel (2.6.21-200735osso1) unstable; urgency=low

  * Updated kernel version (2.6.21-osso37)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 27 Aug 2007 17:11:33 +0300

rx-34-kernel (2.6.21-200734osso3) unstable; urgency=low

  * Updated kernel version (2.6.21-osso37)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 24 Aug 2007 16:35:37 +0300

rx-34-kernel (2.6.21-200734osso2) unstable; urgency=low

  * Updated kernel version (2.6.21-osso36.1)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 23 Aug 2007 18:25:01 +0300

rx-34-kernel (2.6.21-200734osso1) unstable; urgency=low

  * Updated kernel version (2.6.21-osso36)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 22 Aug 2007 18:21:00 +0300

rx-34-kernel (2.6.21-200733osso3) unstable; urgency=low

  * Updated kernel version (2.6.21-osso35)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 17 Aug 2007 15:21:51 +0300

rx-34-kernel (2.6.21-200733osso2) unstable; urgency=low

  * Updated kernel version (2.6.21-osso34)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 14 Aug 2007 17:44:23 +0300

rx-34-kernel (2.6.21-200732osso2) unstable; urgency=low

  * Updated kernel version (2.6.21-osso33) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 10 Aug 2007 15:48:33 +0300

rx-34-kernel (2.6.21-200732osso1) unstable; urgency=low

  * Updated kernel version (2.6.21-osso32)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  8 Aug 2007 18:20:36 +0300

rx-34-kernel (2.6.21-200731osso1) unstable; urgency=low

  * Updated kernel version (2.6.21-osso31)



=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer:  Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
 Build-Depends: debhelper (>= 4.0.0)
-Build-Depends-Indep: kernel-source-rx-34 (=2.6.18-osso52)
+Build-Depends-Indep: kernel-source-rx-34 (>=2.6.21.0-osso63)
 XBCS-Scratchbox-Architecture: uarm
 Standards-Version: 3.5.9.0
 
@@ -22,6 +22,11 @@
 Description: Linux kernel modules
  This package provides kernel modules for RX-34.
 
+Package: rx-34-kernel-modules-extra
+Architecture: all
+Description: Linux kernel modules
+ This package provides some extra kernel modules for RX-34.
+
 Package: rx-34-kernel-oprofile
 Architecture: all
 Description: Flashable Linux kernel for RX-34 hardware with oprofile
@@ -29,6 +34,6 @@
  It has oprofile support built in.
 
 Package: rx-34-kernel-debug
-Architecture: any
+Architecture: all
 Description: Linux kernel debug symblos
  This packages provides vmlinux files for the RX-34 kernels.

## rx-34-kernel 2.6.21.0-200749osso2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 DEBIAN_DIR := debian
 
-KSRC = ../linux-g-1.0
+KSRC = ../linux
 
 KSRCVER = $(shell dpkg-parsechangelog -l$(KSRC)/$(DEBIAN_DIR)/changelog  | awk '/^Version/{print $$2}')
 KMAJORVER = $(word 1, $(subst -, ,$(KSRCVER)))
@@ -15,7 +15,11 @@
 all: deb
 
 deb: control-stamp changelog-stamp
-	dpkg-buildpackage -i'.git/' -I'.git' -rfakeroot -S 
+#Have to remove stamps
+	rm -f $<
+	dpkg-buildpackage -i'.git/' -I'.git' -rfakeroot -S
+#and get them back
+	touch $<
 
 modules:
 	fakeroot debian/rules modules-deb
@@ -24,7 +28,7 @@
 	touch control-stamp
 
 control:
-	sed -i 's/^Build-Depends-Indep: kernel-source-rx-34 (=[^)]*)/Build-Depends-Indep: kernel-source-rx-34 (=$(KSRCVER))/' $(DEBIAN_DIR)/control
+	sed -i 's/^Build-Depends-Indep: kernel-source-rx-34 (>=[^)]*)/Build-Depends-Indep: kernel-source-rx-34 (>=$(KSRCVER))/' $(DEBIAN_DIR)/control
 
 changelog-stamp: changelog
 	touch changelog-stamp

=== debian/changelog ===
rx-34-kernel (2.6.21.0-200749osso2) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso71)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  7 Dec 2007 10:40:30 +0200

rx-34-kernel (2.6.21.0-200749osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso70)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  5 Dec 2007 15:58:43 +0200

rx-34-kernel (2.6.21.0-200748osso1.1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso69.1)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  4 Dec 2007 12:22:50 +0200

rx-34-kernel (2.6.21.0-200748osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso69)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 27 Nov 2007 15:46:37 +0200

rx-34-kernel (2.6.21.0-200747osso3) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso68)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 23 Nov 2007 16:45:17 +0200

rx-34-kernel (2.6.21.0-200747osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso67)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 19 Nov 2007 16:27:26 +0200

rx-34-kernel (2.6.21.0-200746osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso66)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 13 Nov 2007 12:51:45 +0200

rx-34-kernel (2.6.21.0-200745osso1) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso65)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  6 Nov 2007 16:52:22 +0200

rx-34-kernel (2.6.21.0-200744osso2) unstable; urgency=low

  * Updated kernel version (2.6.21.0-osso64)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 30 Oct 2007 15:51:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer:  Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
 Build-Depends: debhelper (>= 4.0.0)
-Build-Depends-Indep: kernel-source-rx-34 (>=2.6.21.0-osso63)
+Build-Depends-Indep: kernel-source-rx-34 (>=2.6.21.0-osso71)
 XBCS-Scratchbox-Architecture: uarm
 Standards-Version: 3.5.9.0

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,16 @@
 PRODUCT := rx-34
 DEBIAN_DIR := debian
 PACKAGE := $(PRODUCT)-kernel
-DEFCONFIG := n800_defconfig
+DEFCONFIG := nokia_2420_defconfig
 
 ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 INCLUDE_HEADERS =  asm asm-generic asm-$(ARCH) Kbuild linux mtd rdma sound acpi config math-emu net rxrpc video keys media pcmcia scsi
+MODULES_EXTRA= fs/lockd/lockd.ko fs/nfs/nfs.ko net/sunrpc/sunrpc.ko
 
 build: kernel-oprofile kernel headers kernel modules
+
+build-extra: modules-extra
 
 kernel: configure-stamp
 	echo "compile $(PRODUCT) kernel"
@@ -33,6 +36,14 @@
 	echo "compile $(PRODUCT) kernel modules"
 	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION)/ && \
 	make HOSTCC=host-gcc modules
+
+modules-extra: configure-stamp
+	echo "compile $(PRODUCT) kernel EXTRA modules"
+	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION)/ && \
+	patch -p1 < $(CURDIR)/$(DEBIAN_DIR)/modules-extra_config.patch && \
+	make HOSTCC=host-gcc oldconfig modules && \
+	patch -p1 -R < $(CURDIR)/$(DEBIAN_DIR)/modules-extra_config.patch && \
+	make HOSTCC=host-gcc oldconfig
 
 headers: configure-stamp
 	echo "prepare $(PRODUCT) kernel headers"
@@ -121,9 +132,21 @@
 		$(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-headers/usr/src/$(PRODUCT)-kernel-headers/include/asm-$(ARCH)
 	#cp -a $(CURDIR)/kernel-source-$(SOURCE_VERSION)/scripts $(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-headers/usr/src/$(PRODUCT)-kernel-headers
 
-binary-indep: build install
+install-modules-extra:
+	dh_testdir
+	dh_testroot
+
+	mkdir -p $(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-modules-extra/lib/modules/$(KERNELRELEASE)/extra
+	for f in $(MODULES_EXTRA); do \
+		install -c -m 644 $(CURDIR)/kernel-source-$(SOURCE_VERSION)/$$f \
+			$(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-modules-extra/lib/modules/$(KERNELRELEASE)/extra/$$(basename $$f); \
+	done
+
+install-extra: install-modules-extra
 
 binary-arch: build install
+
+binary-indep: build install build-extra install-extra
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
